10     DIM Pri$[9],Sec$[9],Range$[9],Meas_time$[9]
20     DIM Disp$[9],Fix_msd$[9],Dev_mode_pri$[9],Dev_mode_sec$[9]
30     DIM I_mon$[9],V_mon$[9],Beep_mode$[9]
40     REAL Freq,Level,Delay,Dev_ref_pri,Dev_ref_sec
50     INTEGER Cable,Ave,Digit,Page_no,Save_no
60     !
70     ASSIGN @Agt4288a TO 717
80     !
90     Pri$="CP"              ! Meas. Parameter    Primary  : Cp
100    Sec$="D"               !                    Secondary: D
110    Freq=1000              ! Test Signal        Frequency: 1 kHz
120    Level=.5               !                    Level    : 500 mV
130    Range$="AUTO"          ! Meas. Range                 : Auto
140    Meas_time$="LONG"      ! Meas. Time Mode             : Long
150    Cable=0                ! Cable Length                : 0 m
160    Ave=4                  ! Averaging Factor            : 4
170    Delay=.001             ! Trigger Delay Time          : 1 ms
180    !
190    Disp$="ON"             ! Display                     : On
200    Digit=5                ! Digit                       : 5
210    Fix_msd$="OFF"         ! Fixed Decimal Point Display : Off
220    Dev_mode_pri$="PCNT"   ! Deviation   [Pri]  Mode     : Percent
230    Dev_ref_pri=1.0E-8     !  Measurement       Ref.Value: 10 nF
240    Dev_mode_sec$="OFF"    !             [Sec]  Mode     : Off
250    Dev_ref_sec=0          !                    Ref.Value: 0
260    Page_no=4              ! Meas. Setting Page Number   : 4
270    !
280    I_mon$="OFF"           ! Test Signal        Current  : Off
290    V_mon$="ON"            !  Level Monitor     Voltage  : On
300    Beep_mode$="FAIL"      ! Beep mode                   : Fail
310    Save_no=9              ! Save Location Number        : 9
320    !
330    OUTPUT @Agt4288a;":SYST:PRES"
340    OUTPUT @Agt4288a;":CALC1:FORM "&Pri$
350    OUTPUT @Agt4288a;":CALC2:FORM "&Sec$
360    OUTPUT @Agt4288a;":SOUR:FREQ ";Freq
370    OUTPUT @Agt4288a;":SOUR:VOLT ";Level
380    IF Range$="AUTO" THEN 
390      OUTPUT @Agt4288a;":RANG:AUTO ON"
400    ELSE
410      OUTPUT @Agt4288a;":RANG:AUTO OFF"
420      OUTPUT @Agt4288a;":RANG "&Range$
430    END IF
440    OUTPUT @Agt4288a;":APER "&Meas_time$
450    OUTPUT @Agt4288a;":CAL:CABL ";Cable
460    OUTPUT @Agt4288a;":AVER ON"
470    OUTPUT @Agt4288a;":AVER:COUN ";Ave
480    OUTPUT @Agt4288a;":TRIG:DEL ";Delay
490    !
500    OUTPUT @Agt4288a;":DISP "&Disp$
510    OUTPUT @Agt4288a;":DISP:TEXT1:DIG ";Digit
520    IF Fix_msd$="OFF" THEN 
530      OUTPUT @Agt4288a;":DISP:TEXT1:FMSD OFF"
540    ELSE
550      OUTPUT @Agt4288a;":DISP:TEXT1:FMSD ON"
560      OUTPUT @Agt4288a;":DISP:TEXT1:FMSD:DATA "&Fix_msd$
570    END IF
580    IF Dev_mode_pri$="OFF" THEN 
590      OUTPUT @Agt4288a;":CALC1:MATH:STAT OFF"
600    ELSE
610      OUTPUT @Agt4288a;":CALC1:MATH:STAT ON"
620      OUTPUT @Agt4288a;":CALC1:MATH:EXPR:NAME "&Dev_mode_pri$
630      OUTPUT @Agt4288a;":DATA REF1,";Dev_ref_pri
640    END IF
650    IF Dev_mode_sec$="OFF" THEN 
660      OUTPUT @Agt4288a;":CALC2:MATH:STAT OFF"
670    ELSE
680      OUTPUT @Agt4288a;":CALC2:MATH:STAT ON"
690      OUTPUT @Agt4288a;":CALC2:MATH:EXPR:NAME "&Dev_mode_sec$
700      OUTPUT @Agt4288a;":DATA REF2,";Dev_ref_sec
710    END IF
720    OUTPUT @Agt4288a;":DISP:TEXT2:PAGE ";Page_no
730    !
740    OUTPUT @Agt4288a;":CALC3:MATH:STAT "&I_mon$
750    OUTPUT @Agt4288a;":CALC4:MATH:STAT "&V_mon$
760    IF Beep_mode$="OFF" THEN 
770      OUTPUT @Agt4288a;":CALC:COMP:BEEP OFF"
780    ELSE
790      OUTPUT @Agt4288a;":CALC:COMP:BEEP ON"
800      OUTPUT @Agt4288a;":CALC:COMP:BEEP:COND "&Beep_mode$
810    END IF
820    !
830    OUTPUT @Agt4288a;"*SAV ";Save_no
840    !
850    END
5000   !*************************************************
5010   !* DESCRIPTION:  Agilent 4288A Sample Program
5020   !*
5030   !* AUTHOR:       Agilent Technologies Japan, Ltd.
5040   !* CREATED:      12/1/2000
5050   !* PROGRAM NAME: setup.bas
5060   !* REVISION:     A.01.00
5070   !*
5080   !*     Copyright (c) Agilent Technologies,
5090   !*              All rights reserved.
5100   !*
5110   !*
5120   !*  Customer shall have the personal, non-
5130   !* transferable rights to use, copy or modify
5140   !* this SAMPLE PROGRAM for Customer's internal
5150   !* operations. Customer shall use the SAMPLE
5160   !* PROGRAM solely and exclusively for its own
5170   !* purpose and shall not license, lease, market
5180   !* or distribute the SAMPLE PROGRAM or
5190   !* modification or any part thereof.
5200   !*
5210   !*  Agilent Technologies shall not be liable for
5220   !* the quality, performance or behavior of the
5230   !* SAMPLE PROGRAM. Agilent Technologies especially
5240   !* disclaims that the operation of the SAMPLE
5250   !* PROGRAM shall be uninterrupted or error free.
5260   !* This SAMPLE PROGRAM is provided AS IS.
5270   !*
5280   !*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
5290   !* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
5300   !* A PARTICULAR PURPOSE.
5310   !*
5320   !*  Agilent Technologies shall not be liable for
5330   !* any infringement of any patent, trademark,
5340   !* copyright or other proprietary rights by the
5350   !* SAMPLE PROGRAM or its use. Agilent Technologies
5360   !* does not warrant that the SAMPLE PROGRAM is
5370   !* free from infringements or such rights of third
5380   !* parties. However, Agilent Technologies will not
5390   !* knowingly infringe or deliver a software that
5400   !* infringes the patent, trademark, copyright or
5410   !* other proprietary right of a third party.
5420   !*
5430   !*************************************************
